<template>
  <div class="rui-actions" :class="componentCSS"><slot /></div>
</template>

<script>
/**
 * This component is meant to wrap actions, like form controls or controls to act on the current page/section.
 *
 * It is supposed to contain buttons and links, maybe wrapped as toolbar, but text fits in too.
 *
 * @preset Default { "slots": { "default": "Some content here" } }
 */
export default {
  name: 'RuiActions',
  props: {
    /** Whether to stick the component to the bottom */
    bottom: { required: false, type: Boolean, default: false },
  },
  computed: {
    componentCSS () {
      return [
        !this.bottom && 'rui-actions--top',
        this.bottom && 'rui-actions--bottom',
      ]
    },
  },
}
</script>
